# Turn off byte compilation because I don't want it to byte compile the
# examples in docs
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global module_name pykalman

%global commit  2aeb4ad80f9dcc4ea182331e33bda7ea4866548e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{module_name}
Version:        0.9.5
Release:        22.20140827git%{shortcommit}%{?dist}

Summary:        Kalman Filter, Smoother, and EM algorithm

License:        BSD
URL:            http://%{module_name}.github.com/
Source0:        https://github.com/%{module_name}/%{module_name}/archive/%{commit}/%{module_name}-%{commit}.tar.gz

# https://github.com/pykalman/pykalman/issues/33
# https://github.com/pykalman/pykalman/issues/32

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-numpy
BuildRequires:  python3-scipy
BuildRequires:  python3-numpydoc
BuildRequires:  python3-sphinx

%global _description\
This module implements two algorithms for tracking: the Kalman Filter and\
Kalman Smoother. In addition, model parameters which are traditionally\
specified by hand can also be learned by the implemented EM algorithm without\
any labeled training data.

%description %_description

%package doc
Summary:    Documentation for %{name}

%description doc
Documentation for %{name}

%package -n python3-%{module_name}
Summary:    %{summary}
Requires:   python3-scipy

%{?python_provide:%python_provide python3-%{module_name}}

%description -n python3-%{module_name}
This module implements two algorithms for tracking: the Kalman Filter and
Kalman Smoother. In addition, model parameters which are traditionally
specified by hand can also be learned by the implemented EM algorithm without
any labeled training data.

%prep
%setup -q -n %{module_name}-%{commit}

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py3_build
#documentation
make -C doc html
sed -i 's/\r$//' doc/build/html/_static/jquery.js
rm -fv doc/build/html/.buildinfo

%install
%py3_install

#%check
#nosetests %{module_name}/tests/

#%{_bindir}/nosetests-3* %{module_name}/tests/
 
%files doc
%doc doc/build/html examples

%files -n python3-%{module_name}
%doc COPYING
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/%{module_name}-%{version}-py?.?.egg-info


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-22.20140827git2aeb4ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 11 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.5-21.20140827git2aeb4ad
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Tue Jul 24 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-20.20140827git
- Correct macros

* Fri Jul 20 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-19.20140827git
- Rebuild for https://fedoraproject.org/wiki/Changes/Move_usr_bin_python_into_separate_package

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-18.20140827git2aeb4ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.5-17.20140827git2aeb4ad
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-16.20140827git2aeb4ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9.5-15.20140827git2aeb4ad
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.5-14.20140827git2aeb4ad
- Python 2 binary package renamed to python2-pykalman
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-13.20140827git2aeb4ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-12.20140827git2aeb4ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9.5-11.20140827git2aeb4ad
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-10.20140827git2aeb4ad
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 08 2016 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-9.20140827git2aeb4ad
- Provide python2 package

* Tue Mar 08 2016 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-8.20140827git2aeb4ad
- disable tests
- issue filed: https://github.com/pykalman/pykalman/issues/50

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-7.20140827git2aeb4ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 26 2015 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.9.5-6.20140827git2aeb4ad
- rebuild to fix broken python 3 dep
- remove doc require on package

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-5.20140827git2aeb4ad
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jul 16 2015 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.9.5-4.20140827git2aeb4ad
- Correct python3 package requirements.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3.20140827git2aeb4ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Sep 09 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-2.20140827git2aeb4ad
- Add scipy as a requires

* Sat Aug 30 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-1.20140827git2aeb4ad
- Correct SOURCE0
- Move COPYING file to main package from doc subpackage

* Sat Aug 30 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-1.20140827git2aeb4ad
- Updated description

* Fri Aug 29 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-1.20140827git2aeb4ad
- Updated as per reviewer comments
- Split to different doc sub packages
- Added changelogs

* Tue Aug 26 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.5-1.20140827git2aeb4ad
- update to git code that includes documentation and license

* Tue Aug 26 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.9.5-1
- Initial rpm build


